# Fish configuration file

set -x LC_ALL en_US.utf8
set -x TERM xterm-256color

# Aliases
alias ls='ls --color=auto'
alias ll='ls -l'
alias la='ls -A'
alias l='ls -CF'

alias rm='rm -i --preserve-root'

if test -z "$MYSOFT_PATH"

    set -xg MYSOFT_PATH {$HOME}/.softwares

    if test -e $MYSOFT_PATH
        set -xg PATH $PATH $MYSOFT_PATH/bin
        set -xg PYTHONPATH "$MYSOFT_PATH/pythonlibs:$PYTHONPATH"

        # GUROBI
        if ls $MYSOFT_PATH | grep "gurobi" > /dev/null
            set -xg GUROBI_PATH (ls -d $MYSOFT_PATH/gurobi*/linux64 | tail -1)
            set -xg LD_LIBRARY_PATH "$LD_LIBRARY_PATH:$GUROBI_PATH/lib"
            set -xg GRB_LICENSE_FILE $GUROBI_PATH/gurobi.lic
            set -xg PATH $GUROBI_PATH/bin $PATH
            #set -x PYTHONPATH $GUROBI_PATH/lib/python3.4_utf32:$PYTHONPATH
        end
    end

end

# Creation mask
umask 022
